# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Geo object is the value object which contains the properties of Geo.
#
#

module App42
  module Geo
    class Geo < App42Response
      attr_accessor  :pointList,:storageName,:sourceLat,:sourceLng,:distanceInKM,:createdOn
      @pointList = Array.new
      @storageName
      @sourceLat
      @sourceLng
      @distanceInKM
      @createdOn
    end

    class  Point
      attr_accessor  :lat,:lng,:marker
      #
      # This is a constructor that takes no parameter
      #
      #
      def initialize(geo)
        geo.pointList.push(self);
      end
      @lat
      @lng
      @marker

      #
      # Returns the Geo Response in JSON format.
      #
      # @return the response in JSON format.
      #
      #

      def to_s
        return "Lat : #{@lat}" + "Long : #{@lng}" + "Marker : #{@marker}";
      end

    end
  end
end