# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Geo Point object is the value object which contains the properties of
# Geo Point.
#
#

module App42
  module Geo
    class GeoPoint < App42Response
      attr_accessor  :lat,:lng,:marker
      @lat
      @lng
      @marker
      def GeoPoint(lat, lng, marker)
        @lat = lat
        @lng = lng
        @marker = marker
      end

      #
      # Values coming from response are converted into JSON format.
      #
      # @return JSON Response
      # @throws JSONException
      #

      def getJSONObject()
        obj = Hash.new
        obj.store("lat", lat);
        obj.store("lng", lng);
        obj.store("marker", marker);
        return obj
      end
    end
  end
end