# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Image object is the value object which contains the properties of Image.
#
#

module App42
  module ImageProcessor
    class Image < App42Response
      attr_accessor :name, :action, :originalImage, :convertedImage, :percentage, :width, :height, :x, :y, :originalImageTinyUrl, :convertedImageTinyUrl

      @name
      @action
      @originalImage
      @convertedImage
      @percentage
      @width
      @height
      @x
      @y
      @convertedImageTinyUrl
      @originalImageTinyUrl

      #
      # Returns the Image Response in JSON format.
      #
      # @return the response in JSON format.
      #
      #
      def to_s
        return  "Name : #{@name}" + "Action : #{@action}" + "originalImage : #{@originalImage}" + "convertedImage : #{@convertedImage}" + "percentage : #{@percentage}" + "width : #{@width}" + "height : #{@height}" + "x : #{@x}" + "y : #{@y}";
      end

    end
  end
end
