# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Push Notification object is the value object which contains the properties of
# Push Notification.
#
#

module App42
  module Push
    class PushNotification < App42Response
      attr_accessor  :message, :userName, :deviceToken, :channelList ,:type
      @channelList = Array.new
      @message
      @userName
      @deviceToken
      @type
    end

    class Channel
      attr_accessor  :channelName, :description
      @channelName
      @description

      #
      # This is a constructor that takes no parameter
      #
      def initialize(pushNotification)
        pushNotification.channelList.push(self)
      end
    end
  end
end