# -----------------------------------------------------------------------
#  Copyright © 2012 ShepHertz Technologies Pvt Ltd. All rights reserved.
# -----------------------------------------------------------------------

require 'App42Response.rb'

#
#
# This Upload object is the value object which contains the properties of
# Upload along with the setter & getter for those properties.
#
#

module App42
  module Upload
    class Upload < App42Response
      attr_accessor :fileList
      @fileList = Array.new
    end

    class File
      attr_accessor :name, :userName, :type, :description, :url, :tinyUrl

      @userName
      @name
      @type
      @url
      @description
      @tinyUrl

      #
      # This is constructor that take no parameters
      #
      def initialize(upload)
        upload.fileList.push(self)
      end

    end
  end
end